import pytest

from myfasthtml.core.instances import SingleInstance


@pytest.fixture(scope="session")
def session():
  return {
      "user_info": {
          'email': 'test@myfasthtml.com',
          'username': 'test_user',
          'roles': ['admin'],
          'user_settings': {},
          'id': 'test_user_id',
          'created_at': '2025-11-10T15:52:59.006213',
          'updated_at': '2025-11-10T15:52:59.006213'
      }
  }


@pytest.fixture(scope="session")
def root_instance(session):
  return SingleInstance(None, session, "TestRoot")
